#!/usr/bin/env python

import os
import zulip


def handle_event(event):
    if event.get("type") == "message":
        message_data = {
            "type": "private",
            "to": event.get("message").get("sender_email"),
            "content": eula_msg
        }
        client.send_message(message_data)
    if event.get("type") == "realm_user":
        if event.get("op") == "add":
            if event.get("person") is not None:
                if event.get("person").get("user_id") is not None:
                    message_data = {
                        "type": "private",
                        "to": event.get("person").get("email"),
                        "content": eula_msg
                    }
                    client.send_message(message_data)


with open('/config/eulamsg.txt') as f:
    eula_msg = f.read()
client = zulip.Client(email=os.environ['ZULIP_EMAIL'], api_key=os.environ['ZULIP_API_KEY'], site=os.environ['ZULIP_SITE'])
client.call_on_each_event(lambda event: handle_event(event))
